
using Godot;

namespace Rokojori
{  
  public class RDShader: RenderingObject
  {
    public RDShader( RokojoriCompositorEffect effect, Rid rid ):base( effect, rid )
    {}

    public static RDShader CreateFromSpirV( RokojoriCompositorEffect effect, RDShaderSpirV rDShaderSpirV )
    {
      var shaderID = effect.rd.ShaderCreateFromSpirV( rDShaderSpirV );
      return new RDShader( effect, shaderID );
    }
  }
}